//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/

#if !defined(AFX_EXPORTTRAJDIALOG_H__DA375298_A1DB_4908_8B62_824EEBAF7988__INCLUDED_)
#define AFX_EXPORTTRAJDIALOG_H__DA375298_A1DB_4908_8B62_824EEBAF7988__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ExportTrajDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CExportTrajDialog dialog

class CExportTrajDialog : public CDialog
{
// Construction
public:
	CExportTrajDialog(int m_min_step, int m_max_step);

	BOOL OnInitDialog();

	// Should the entire range or just a subset be used?
	BOOL render_all;

private:
	int limit_traj_min;
	int limit_traj_max;
public:
// Dialog Data
	//{{AFX_DATA(CExportTrajDialog)
	enum { IDD = IDD_EXPORT_TRAJECTORY };
	int		m_file_type;
	CString	m_file_name;
	int		m_start_traj;
	int		m_stop_traj;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExportTrajDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CExportTrajDialog)
	afx_msg void OnRadioAll();
	afx_msg void OnRadioRange();
	afx_msg void OnBrowse();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXPORTTRAJDIALOG_H__DA375298_A1DB_4908_8B62_824EEBAF7988__INCLUDED_)
