//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
// 
#if !defined(AFX_QMCOLORDIALOG_H__1032D6F5_BD86_4942_9CD1_4951D58AE5E8__INCLUDED_)
#define AFX_QMCOLORDIALOG_H__1032D6F5_BD86_4942_9CD1_4951D58AE5E8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// QMColorDialog.h : header file
//
#include "FlexColorDialog.h"

#define		WM_COLOR_CLOSE	(WM_USER + 13)
/////////////////////////////////////////////////////////////////////////////
// CQMColorDialog dialog

class CQMColorDialog : public CDialog
{
// Construction
public:
	CQMColorDialog(CView* pParent);
	~CQMColorDialog();

	BOOL Create();
	BOOL OnInitDialog();

	void ApplyCurrColor()
	{
		// Only apply a color scheme if the used has modified the
		// original color scheme. Note that it is safe to call this
		// function from outside the dialog.
		if(is_initialized)
			OnApplyNow();
	};

protected:
	CView *m_pView;

	CFlexColorDialog *m_flexClrDlg;

	int color_method;
	int atom_num;
	int res_num;
	int elem;
	int sec_struc;

	// A buffer for the "color clipboard"
	BOOL valid_clr_buffer;
	unsigned char color_buffer[4];

	// Has this dialog been initialized?
	BOOL is_initialized;

public:

// Dialog Data
	//{{AFX_DATA(CQMColorDialog)
	enum { IDD = IDD_ATOM_COLOR };
	CEdit	m_res_num;
	CListBox	m_struc_list;
	CEdit m_atom_num;
	CListBox m_elem_list;
	CString	m_b;
	CString	m_g;
	CString	m_r;
	CString	m_a;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CQMColorDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CQMColorDialog)
	afx_msg void OnChangeAtomNumEdit();
	afx_msg void OnAtomRadio();
	afx_msg void OnElementRadio();
	afx_msg void OnApplyNow();
	afx_msg void OnSelchangeElememtList();
	afx_msg void OnColorButton();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg LRESULT OnFlexColorClose(WPARAM wParam, LPARAM lParam);
	afx_msg void OnDefaultRadio();
	afx_msg void OnTempRadio();
	afx_msg void OnOccRadio();
	afx_msg void OnStructureRadio();
	afx_msg void OnSelchangeStructureList();
	afx_msg void OnAminoRadio();
	afx_msg void OnResNumRadio();
	afx_msg void OnChangeResNumEdit();
	afx_msg void OnSaveClrButton();
	afx_msg void OnApplyClrButton();
	afx_msg void OnAminoIndexRadio();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_QMCOLORDIALOG_H__1032D6F5_BD86_4942_9CD1_4951D58AE5E8__INCLUDED_)
