//	(c) 2000 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html).
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.

#include "stdafx.h"
#include "Qmol.h"
#include "Excepts.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CQmolError dialog


CQmolError::CQmolError(CWnd* pParent /*=NULL*/)
	: CDialog(CQmolError::IDD, pParent)
{
	//{{AFX_DATA_INIT(CQmolError)
	m_error = _T("");
	//}}AFX_DATA_INIT
}


void CQmolError::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CQmolError)
	DDX_Text(pDX, IDC_ERROR_MSG, m_error);
	//}}AFX_DATA_MAP
}

// Set the error string and popup a modal error dialog
void CQmolError::PopUpError(char *error)
{
	m_error = error;
	DoModal();
}

BEGIN_MESSAGE_MAP(CQmolError, CDialog)
	//{{AFX_MSG_MAP(CQmolError)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CQmolError message handlers

void __fatalerror(const char *mesg, char *file, int line)
{
	
	char *buff;

	buff = new char [strlen(mesg) + strlen(file) + 128];
	sprintf(buff, "A fatal error was "
		"encountered in file `%s', line #%d: `%s'", 
		file, line, mesg);

	CQmolError error;

	error.PopUpError(buff);
	
	delete [] buff;

    exit(1);
}

void __warning(const char *mesg, char *file, int line)
{
	char *buff;

	buff = new char [strlen(mesg) + strlen(file) + 128];

    sprintf(buff, "A warning was "
		"encountered in file `%s', line #%d: `%s'\n", 
		file, line, mesg);

	CQmolError error;

	error.PopUpError(buff);
	
	delete [] buff;
}
