// ReadOptionsDialog.cpp : implementation file
//

#include "stdafx.h"
#include "Qmol.h"
#include "ReadOptionsDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CReadOptionsDialog dialog


CReadOptionsDialog::CReadOptionsDialog(BOOL connect, BOOL multi_struct, 
									   BOOL sec_struc, int traj_process)
	: CDialog(CReadOptionsDialog::IDD, NULL)
{
	//{{AFX_DATA_INIT(CReadOptionsDialog)
	m_connect = connect;
	m_multi_struct = multi_struct;
	m_sec_struc = sec_struc;
	//}}AFX_DATA_INIT

	m_traj_process = traj_process;
}


void CReadOptionsDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CReadOptionsDialog)
	DDX_Check(pDX, IDC_CONNECT_CHECK, m_connect);
	DDX_Check(pDX, IDC_MULTI_STRUC_CHECK, m_multi_struct);
	DDX_Check(pDX, IDC_SEC_STRUCT_CHECK, m_sec_struc);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CReadOptionsDialog, CDialog)
	//{{AFX_MSG_MAP(CReadOptionsDialog)
	ON_BN_CLICKED(IDC_MULTI_STRUC_CHECK, OnMultiStrucCheck)
	ON_BN_CLICKED(IDC_RADIO_CM, OnRadioCm)
	ON_BN_CLICKED(IDC_RADIO_KABSCH, OnRadioKabsch)
	ON_BN_CLICKED(IDC_RADIO_VERBATIM, OnRadioVerbatim)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CReadOptionsDialog message handlers
BOOL CReadOptionsDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();

	if(m_multi_struct){
		GetDlgItem(IDC_RADIO_VERBATIM)->EnableWindow(TRUE);
		GetDlgItem(IDC_RADIO_CM)->EnableWindow(TRUE);
		GetDlgItem(IDC_RADIO_KABSCH)->EnableWindow(TRUE);

		SetRadioButtons(m_traj_process);
	}
	else{
		GetDlgItem(IDC_RADIO_VERBATIM)->EnableWindow(FALSE);
		GetDlgItem(IDC_RADIO_CM)->EnableWindow(FALSE);
		GetDlgItem(IDC_RADIO_KABSCH)->EnableWindow(FALSE);

		SetRadioButtons(m_traj_process);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CReadOptionsDialog::OnMultiStrucCheck() 
{
	// Update the BOOL value
	m_multi_struct = !m_multi_struct;

	// Enable or disable the radio buttons as needed
	if(m_multi_struct){
		GetDlgItem(IDC_RADIO_VERBATIM)->EnableWindow(TRUE);
		GetDlgItem(IDC_RADIO_CM)->EnableWindow(TRUE);
		GetDlgItem(IDC_RADIO_KABSCH)->EnableWindow(TRUE);
	}
	else{
		GetDlgItem(IDC_RADIO_VERBATIM)->EnableWindow(FALSE);
		GetDlgItem(IDC_RADIO_CM)->EnableWindow(FALSE);
		GetDlgItem(IDC_RADIO_KABSCH)->EnableWindow(FALSE);
	}
}

void CReadOptionsDialog::OnRadioCm() 
{
	SetRadioButtons(m_traj_process = QM_CENTER_ALL);
}

void CReadOptionsDialog::OnRadioKabsch() 
{
	SetRadioButtons(m_traj_process = QM_KABSCH);
}

void CReadOptionsDialog::OnRadioVerbatim() 
{
	SetRadioButtons(m_traj_process = QM_VERBATIM);
}

void CReadOptionsDialog::SetRadioButtons(int m_button)
{
	switch(m_button){
		case QM_VERBATIM:
			CheckRadioButton(IDC_RADIO_VERBATIM,	// First button
							 IDC_RADIO_KABSCH,		// Last bottom	
							 IDC_RADIO_VERBATIM);	// Button to check
			break;
		case QM_CENTER_ALL:
			CheckRadioButton(IDC_RADIO_VERBATIM,	// First button
							 IDC_RADIO_KABSCH,		// Last bottom	
							 IDC_RADIO_CM);			// Button to check
			break;
		case QM_KABSCH:
			CheckRadioButton(IDC_RADIO_VERBATIM,	// First button
							 IDC_RADIO_KABSCH,		// Last bottom	
							 IDC_RADIO_KABSCH);		// Button to check
			break;
	};
}