//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
// 
#if !defined(AFX_READPROGRESSDIALOG_H__ED2E25BC_E7BC_11D3_A365_00C04F72D141__INCLUDED_)
#define AFX_READPROGRESSDIALOG_H__ED2E25BC_E7BC_11D3_A365_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ReadProgressDialog.h : header file
//

#include "QmolDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CReadProgressDialog dialog

// To work effectively, this class really needs to run in it's
// own thread!
class CReadProgressDialog : public CDialog
{
// Construction
public:
	CReadProgressDialog(int min, int max, molecule *mol, CString &filename);

	inline BOOL Status()
	{
		return status;
	};

	int m_min;
	int m_max;
	molecule *m_mol;
	CString m_filename;

// Dialog Data
	//{{AFX_DATA(CReadProgressDialog)
	enum { IDD = IDD_PROGRESS };
	CProgressCtrl	m_progress;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CReadProgressDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int status;

	// Generated message map functions
	//{{AFX_MSG(CReadProgressDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnStop();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_READPROGRESSDIALOG_H__ED2E25BC_E7BC_11D3_A365_00C04F72D141__INCLUDED_)
