#if !defined(AFX_SURFDIALOG_H__CF621FCF_1947_4111_B79A_AFFF93923F72__INCLUDED_)
#define AFX_SURFDIALOG_H__CF621FCF_1947_4111_B79A_AFFF93923F72__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SurfDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSurfDialog

#include "SurfOptProperty.h"
#include "SurfColorProperty.h"

#define		WM_SURF_OPT		(WM_USER + 21)
#define		WM_SURF_REBUILD	(WM_USER + 22)

class CSurfDialog : public CPropertySheet
{
	DECLARE_DYNAMIC(CSurfDialog)

// Construction
public:
	CSurfDialog(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CSurfDialog(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

	// This is a modless property sheet, so we need to add buttons ourselves!
	BOOL OnInitDialog();

private:
	CWnd *m_pWnd;

	CButton m_OkButton;
	CButton m_CancelButton;
	CButton m_ApplyButton;

	CSurfOptProperty optPage;
	CSurfColorProperty clrPage;

// Operations
public:
	// Which option tab should be displayed "on top"?
	void SetColorFocus();
	void SetRenderFocus();

	// Color options
	int GetColorStyle(); // Currently CSurfColorProperty::COLOR_BY_ATOM or
						 // CSurfColorProperty::COLOR_USER
	void SetColorStyle(int m_style);

	int GetAlpha();
	void SetAlpha(int m_a);

	void GetRGBA(int &r, int &g, int &b, int &a);
	void SetRGBA(int r, int g, int b, int a);

	// Surface rendering options
	int GetSurfQuality();
	void SetSurfQuality(int m_quality);

	float GetProbeRadius();
	void SetProbeRadius(float m_radius);

	int GetSurfType();
	void SetSurfType(int m_type);

	void UseSolventAtoms(BOOL m_solvent);
	BOOL UseSolventAtoms();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSurfDialog)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSurfDialog();

	// Generated message map functions
protected:
	//{{AFX_MSG(CSurfDialog)
	afx_msg void OnCancel();
	afx_msg void OnOk();
	afx_msg void OnApply();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SURFDIALOG_H__CF621FCF_1947_4111_B79A_AFFF93923F72__INCLUDED_)
