// SurfOptProperty.cpp : implementation file
//

#include "stdafx.h"
#include "Qmol.h"
#include "SurfDialog.h"
#include "SurfOptProperty.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSurfOptProperty property page

IMPLEMENT_DYNCREATE(CSurfOptProperty, CPropertyPage)

CSurfOptProperty::CSurfOptProperty() : CPropertyPage(CSurfOptProperty::IDD)
{
	m_pWnd = NULL;

	//{{AFX_DATA_INIT(CSurfOptProperty)
	m_res = 0;
	m_surf_type = VDW;
	m_use_solvent = FALSE;
	m_probe_radius = 0.0f;
	//}}AFX_DATA_INIT
}

CSurfOptProperty::~CSurfOptProperty()
{
}

void CSurfOptProperty::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSurfOptProperty)
	DDX_Slider(pDX, IDC_RES_SLIDER, m_res);
	DDX_CBIndex(pDX, IDC_SURF_COMBO, m_surf_type);
	DDX_Check(pDX, IDC_SOLVENT_CHECK, m_use_solvent);
	DDX_Text(pDX, IDC_PROBE_EDIT, m_probe_radius);
	DDV_MinMaxFloat(pDX, m_probe_radius, 0.f, 3.f);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSurfOptProperty, CPropertyPage)
	//{{AFX_MSG_MAP(CSurfOptProperty)
	ON_BN_CLICKED(IDC_BUILD_BUTTON, OnBuildButton)
	ON_CBN_SELCHANGE(IDC_SURF_COMBO, OnSelchangeSurfCombo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSurfOptProperty message handlers
BOOL CSurfOptProperty::OnInitDialog()
{
	CPropertyPage::OnInitDialog();

	return TRUE;
}

void CSurfOptProperty::OnBuildButton() 
{
	if(!UpdateData())
		return;

	// Send a message to the parent of the property sheet to apply option
	// changes
	if(m_pWnd){
		m_pWnd->PostMessage(WM_SURF_OPT, ID_SURF_APPLY);
		m_pWnd->PostMessage(WM_SURF_REBUILD);
	}
}

void CSurfOptProperty::OnSelchangeSurfCombo() 
{
	UpdateData();
}
